SystemOrganization addCategory: #ConfigurationOfMagritte2!

Object subclass: #ConfigurationOfMagritte2
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfMagritte2'!

!ConfigurationOfMagritte2 class methodsFor: 'private' stamp: 'DaleHenrichs 1/22/2010 11:04'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfMagritte2 class methodsFor: 'private' stamp: 'DaleHenrichs 1/22/2010 11:04'!
ensureMetacello
	"Bootstrap Gofer (if necessary), bootstrap ConfigurationOfMetacello (using old Gofer API), then load the latest 
	version of Metacello itself."

	Smalltalk at: #MetacelloProject ifAbsent: [
		Smalltalk at: #Gofer ifAbsent: [
			"Current version of Gofer from which to bootstrap - as of 1.0-beta.15"
			self bootstrapPackage: 'Gofer-lr.83' from: 'http://seaside.gemstone.com/ss/metacello' ].
		Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
			gofer := goferClass new
				url: 'http://seaside.gemstone.com/ss/metacello';
				yourself.
			[ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
			gofer load ].
		"load 'default' group of Metacello"
		(Smalltalk at: #ConfigurationOfMetacello) perform: #load ]! !

!ConfigurationOfMagritte2 class methodsFor: 'metacello tool support' stamp: 'DaleHenrichs 1/22/2010 11:04'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfMagritte2 class methodsFor: 'metacello tool support' stamp: 'DaleHenrichs 1/22/2010 11:04'!
lastMetacelloVersionLoad
	"Answer the last version loaded and the list of packages loaded for that version."

	LastVersionLoad == nil ifTrue: [ LastVersionLoad := nil -> 'default' ].
	^LastVersionLoad! !

!ConfigurationOfMagritte2 class methodsFor: 'loading' stamp: 'DaleHenrichs 1/22/2010 11:04'!
load
	"self load"
	
	self project latestVersion load! !

!ConfigurationOfMagritte2 class methodsFor: 'metacello tool support' stamp: 'DaleHenrichs 1/22/2010 11:04'!
metacelloVersion: versionString loads: anArrayOrString
	"Stash the last version loaded and the list of packages loaded for that version. The list
	 of packages will be used by the tools when doing 'Load Package Version'"

	LastVersionLoad := versionString -> anArrayOrString! !

!ConfigurationOfMagritte2 class methodsFor: 'accessing' stamp: 'DaleHenrichs 1/22/2010 11:04'!
project

	^self new project! !

!ConfigurationOfMagritte2 class methodsFor: 'release' stamp: 'DaleHenrichs 11/11/2010 13:05'!
releaseToGemSource
	"self releaseToGemSource"

	(Smalltalk at: #Gofer) new
		gemsource: 'MetacelloRepository';
		package: self name asString;
		push! !

!ConfigurationOfMagritte2 class methodsFor: 'release' stamp: 'DaleHenrichs 11/11/2010 13:05'!
releaseToSqueakSource
	"self releaseToSqueakSource"

	(Smalltalk at: #Gofer) new
		squeaksource: 'MetacelloRepository';
		package: self name asString;
		push! !

!ConfigurationOfMagritte2 methodsFor: 'baselines' stamp: 'DaleHenrichs 06/16/2010 17:22'!
baseline2000: spec
	<version: '2.0-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://source.lukas-renggli.ch/magritte2'. 
		spec
			project: 'Grease' with: [
				spec
					className: 'ConfigurationOfGrease';
					versionString: '1.0-alpha2-baseline';
					loads: #('Grease-Core' );
					file: 'ConfigurationOfGrease';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'Seaside30' with: [
				spec
					className: 'ConfigurationOfSeaside30';
					versionString: '3.0.0-alpha5.6-baseline';
					loads: #('Core');
					file: 'ConfigurationOfSeaside30';
					repository: 'http://www.squeaksource.com/MetacelloRepository'];
			yourself.
		spec 
			package: 'Magritte-Model' with: [
				spec requires: #('Grease' )];
			package: 'Magritte-Tests-Model' with: [
				spec requires: #('Magritte-Model')];
			package: 'Magritte-Seaside' with: [
				spec requires: #('Magritte-Model' 'Seaside30')];
			yourself.
		spec
			group: 'default' with: #('Core' 'Tests');
			group: 'Core' with: #('Magritte-Model' );
			group: 'Tests' with: #('Magritte-Tests-Model')
			yourself. ].
	spec for: #squeakCommon do: [
		spec 
			package: 'Magritte-Model' with: [
				spec includes: #('Magritte-Pharo-Model' 'Magritte-Morph') ];
			package: 'Magritte-Tests-Model' with: [
				spec includes: #('Magritte-Tests-Pharo-Model' )];
			package: 'Magritte-Seaside' with: [
				spec includes: #('Magritte-Pharo-Seaside')];

			package: 'Magritte-Pharo-Model' with: [
				spec requires: #('Magritte-Model') ];
			package: 'Magritte-Tests-Pharo-Model' with: [
				spec requires: #('Magritte-Pharo-Model' )];
			package: 'Magritte-Pharo-Seaside' with: [
				spec requires: #('Magritte-Seaside')];

			package: 'Magritte-Morph' with: [
				spec requires: #('Magritte-Model' )];
			yourself. ].
! !

!ConfigurationOfMagritte2 methodsFor: 'baselines' stamp: 'DaleHenrichs 06/23/2010 15:24'!
baseline2050: spec
	<version: '2.0.5-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://source.lukas-renggli.ch/magritte2'. 
		spec
			project: 'Grease' with: [
				spec
					className: 'ConfigurationOfGrease';
					versionString: '1.0-alpha9.3-baseline';
					loads: #('Core' );
					file: 'ConfigurationOfGrease';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'Seaside30' with: [
				spec
					className: 'ConfigurationOfSeaside30';
					versionString: '3.0.0-alpha5.15-baseline';
					loads: #('Base' 'Seaside-HTML5');
					file: 'ConfigurationOfSeaside30';
					repository: 'http://www.squeaksource.com/MetacelloRepository'];
			yourself.
		spec 
			package: 'Magritte-Model' with: [
				spec requires: #('Grease' )];
			package: 'Magritte-Tests-Model' with: [
				spec requires: #('Magritte-Model')];
			package: 'Magritte-Seaside' with: [
				spec requires: #('Magritte-Model' 'Seaside30')];
			yourself.
		spec
			group: 'default' with: #('Core');
			group: 'Core' with: #('Magritte-Model' );
			group: 'Tests' with: #('Magritte-Tests-Model')
			yourself. ].
	spec for: #squeakCommon do: [
		spec 
			package: 'Magritte-Model' with: [
				spec includes: #('Magritte-Pharo-Model' 'Magritte-Morph') ];
			package: 'Magritte-Tests-Model' with: [
				spec includes: #('Magritte-Tests-Pharo-Model' )];
			package: 'Magritte-Seaside' with: [
				spec includes: #('Magritte-Pharo-Seaside')];

			package: 'Magritte-Pharo-Model' with: [
				spec requires: #('Magritte-Model') ];
			package: 'Magritte-Tests-Pharo-Model' with: [
				spec requires: #('Magritte-Pharo-Model' )];
			package: 'Magritte-Pharo-Seaside' with: [
				spec requires: #('Magritte-Seaside')];

			package: 'Magritte-Morph' with: [
				spec requires: #('Magritte-Model' )];
			yourself. ].
	spec for: #gemstone do: [
		spec repository: 'http://seaside.gemstone.com/ss/Magritte2'. 
		spec 
			package: 'Magritte-Model' with: [
				spec includes: #('Magritte-GemStone-Model' ) ];
			package: 'Magritte-Tests-Model' with: [
				spec includes: #('Magritte-Tests-GemStone-Model' )];
			package: 'Magritte-Seaside' with: [
				spec includes: #('Magritte-GemStone-Seaside')];

			package: 'Magritte-GemStone-Model' with: [
				spec requires: #('Magritte-Model') ];
			package: 'Magritte-Tests-GemStone-Model' with: [
				spec requires: #('Magritte-GemStone-Model' )];
			package: 'Magritte-GemStone-Seaside' with: [
				spec requires: #('Magritte-Seaside')];
			yourself. ].! !

!ConfigurationOfMagritte2 methodsFor: 'baselines' stamp: 'dkh 11/10/2010 11:46'!
baseline2060: spec
	<version: '2.0.6-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://source.lukas-renggli.ch/magritte2'. 
		spec
			project: 'Grease' with: [
				spec
					className: 'ConfigurationOfGrease';
					versionString: '1.0.1-baseline';
					loads: #('Core' );
					file: 'ConfigurationOfGrease';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'Seaside30' with: [
				spec
					className: 'ConfigurationOfSeaside30';
					versionString: '3.0.1-baseline';
					loads: #('Base' 'Seaside-HTML5');
					file: 'ConfigurationOfSeaside30';
					repository: 'http://www.squeaksource.com/MetacelloRepository'];
			yourself.
		spec 
			package: 'Magritte-Model' with: [
				spec requires: #('Grease' )];
			package: 'Magritte-Tests-Model' with: [
				spec requires: #('Magritte-Model')];
			package: 'Magritte-Seaside' with: [
				spec requires: #('Magritte-Model' 'Seaside30')];
			yourself.
		spec
			group: 'default' with: #('Core');
			group: 'Core' with: #('Magritte-Model' );
			group: 'Tests' with: #('Magritte-Tests-Model')
			yourself. ].
	spec for: #squeakCommon do: [
		spec 
			package: 'Magritte-Model' with: [
				spec includes: #('Magritte-Pharo-Model' 'Magritte-Morph') ];
			package: 'Magritte-Tests-Model' with: [
				spec includes: #('Magritte-Tests-Pharo-Model' )];
			package: 'Magritte-Seaside' with: [
				spec includes: #('Magritte-Pharo-Seaside')];

			package: 'Magritte-Pharo-Model' with: [
				spec requires: #('Magritte-Model') ];
			package: 'Magritte-Tests-Pharo-Model' with: [
				spec requires: #('Magritte-Pharo-Model' )];
			package: 'Magritte-Pharo-Seaside' with: [
				spec requires: #('Magritte-Seaside')];

			package: 'Magritte-Morph' with: [
				spec requires: #('Magritte-Model' )];
			yourself. ].
	spec for: #'MagritteForPharo1.0' do: [
		spec 
			package: 'Magritte-Model' with: [
				spec includes: #('Magritte-Pharo1.0-Model') ];
			package: 'Magritte-Pharo1.0-Model';
			yourself. ].
	spec for: #'squeak' do: [
		spec 
			package: 'Magritte-Model' with: [
				spec includes: #('Magritte-Pharo1.0-Model') ];
			package: 'Magritte-Pharo1.0-Model';
			yourself. ].
	spec for: #gemstone do: [
		spec repository: 'http://seaside.gemstone.com/ss/Magritte2'. 
		spec 
			project: 'GsCore' with: [
				spec
					className: 'ConfigurationOfGsCore';
					versionString: '0.239.2-baseline';
					repository: 'http://seaside.gemstone.com/ss/MetacelloRepository' ];
			yourself.
		spec 
			package: 'Magritte-Model' with: [
				spec 
					requires: 'GsCore';
					includes: #('Magritte-GemStone-Model' ) ];
			package: 'Magritte-Tests-Model' with: [
				spec includes: #('Magritte-Tests-GemStone-Model' )];
			package: 'Magritte-Seaside' with: [
				spec includes: #('Magritte-GemStone-Seaside')];

			package: 'Magritte-GemStone-Model' with: [
				spec requires: #('Magritte-Model') ];
			package: 'Magritte-Tests-GemStone-Model' with: [
				spec requires: #('Magritte-GemStone-Model' )];
			package: 'Magritte-GemStone-Seaside' with: [
				spec requires: #('Magritte-Seaside')];
			yourself. ].! !

!ConfigurationOfMagritte2 methodsFor: 'symbolic versions' stamp: 'DaleHenrichs 11/11/2010 13:06'!
development: spec 
	"no development versions at the moment"
	
	<symbolicVersion: #development>
! !

!ConfigurationOfMagritte2 methodsFor: 'accessing' stamp: 'DaleHenrichs 11/10/2010 10:07'!
project

	^ project ifNil: [ | projectAttributes |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		project := (Smalltalk at: #MetacelloMCProject) new.
		projectAttributes := #().
		Smalltalk at: #SystemVersion ifPresent: [:cl | | versionString |
			versionString := cl current version.
			((versionString beginsWith: 'Pharo-1.0') or: [versionString beginsWith: 'PharoCore1.0'])
				ifTrue: [ projectAttributes := projectAttributes, #(#'MagritteForPharo1.0') ] ].
		project projectAttributes:  projectAttributes.
		(Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear ]! !

!ConfigurationOfMagritte2 methodsFor: 'symbolic versions' stamp: 'DaleHenrichs 11/11/2010 13:06'!
stable: spec 
	<symbolicVersion: #stable>
	
	spec for: #'common' version: '2.0.6'. 
! !

!ConfigurationOfMagritte2 methodsFor: 'versions' stamp: 'DaleHenrichs 1/31/2010 11:31'!
version200: spec
	<version: '2.0' imports: #('2.0-baseline')>

	spec for: #common do: [
		spec blessing: #alpha.
		spec description: 'Initial version of Magritte 2.0 for Seaside 3.0'.
		spec author: 'DaleHenrichs'.
		spec timestamp: '1/22/2010 14:42'.
		spec 
			project: 'Grease' with: '1.0-alpha4';
			project: 'Seaside30' with: '3.0.0-alpha5.6'.].
	spec for: #squeakCommon do: [
		spec 
			package: 'Magritte-Model' with: 'Magritte-Model-jf.391';
			package: 'Magritte-Tests-Model' with: 'Magritte-Tests-Model-NickAger.10';
			package: 'Magritte-Seaside' with: 'Magritte-Seaside-NickAger.328';
			package: 'Magritte-Pharo-Model' with: 'Magritte-Pharo-Model-lr.21';
			package: 'Magritte-Tests-Pharo-Model' with: 'Magritte-Tests-Pharo-Model-jf.2';
			package: 'Magritte-Pharo-Seaside' with: 'Magritte-Pharo-Seaside-jf.4';
			package: 'Magritte-Morph' with: 'Magritte-Morph-NickAger.50'.].! !

!ConfigurationOfMagritte2 methodsFor: 'versions' stamp: 'DaleHenrichs 2/9/2010 12:10'!
version201: spec
	<version: '2.0.1' imports: #('2.0-baseline')>

	spec for: #common do: [
		spec blessing: #alpha.
		spec description: '- pick up later version of Seaside3.0 (3.0.0-alpha5.7)
- Magritte-Seaside-lr.329
  - fixed some bugs that were introduced with some recent seaside verisons'.
		spec author: 'DaleHenrichs'.
		spec timestamp: '1/31/2010 17:04'.
		spec 
			project: 'Grease' with: '1.0-alpha5.1';
			project: 'Seaside30' with: '3.0.0-alpha5.7'.].
	spec for: #squeakCommon do: [
		spec 
			package: 'Magritte-Model' with: 'Magritte-Model-jf.391';
			package: 'Magritte-Tests-Model' with: 'Magritte-Tests-Model-NickAger.10';
			package: 'Magritte-Seaside' with: 'Magritte-Seaside-lr.329';
			package: 'Magritte-Pharo-Model' with: 'Magritte-Pharo-Model-lr.21';
			package: 'Magritte-Tests-Pharo-Model' with: 'Magritte-Tests-Pharo-Model-jf.2';
			package: 'Magritte-Pharo-Seaside' with: 'Magritte-Pharo-Seaside-jf.4';
			package: 'Magritte-Morph' with: 'Magritte-Morph-NickAger.50'.].! !

!ConfigurationOfMagritte2 methodsFor: 'versions' stamp: 'DaleHenrichs 3/1/2010 14:59'!
version202: spec
	<version: '2.0.2' imports: #('2.0-baseline')>

	spec for: #common do: [
		spec blessing: #alpha.
		spec description: '- Magritte-Model
  - added repository URL
  - added package description and url for all packages
  - normalize the protocols
- Magritte-Morph
  - added package description and url for all packages
- Magritte-Pharo-Model, Magritte-Pharo-Seaside
  - added repository URL
- Magritte-Seaside
  - added repository URL
  - added package description and url for all packages
  - normalize the protocols
  - merged late latest fixes from Magritte
- Magritte-Tests-Model, Magritte-Tests-Pharo-Model
  - added repository URL
  - added package description and url for all packages
'.
		spec author: 'DaleHenrichs'.
		spec timestamp: '3/1/2010 14:59'.
		spec 
			project: 'Grease' with: '1.0-alpha6';
			project: 'Seaside30' with: '3.0.0-alpha5.9'.].
	spec for: #squeakCommon do: [
		spec 
			package: 'Magritte-Model' with: 'Magritte-Model-lr.394';
			package: 'Magritte-Tests-Model' with: 'Magritte-Tests-Model-lr.12';
			package: 'Magritte-Seaside' with: 'Magritte-Seaside-lr.333';
			package: 'Magritte-Pharo-Model' with: 'Magritte-Pharo-Model-lr.22';
			package: 'Magritte-Tests-Pharo-Model' with: 'Magritte-Tests-Pharo-Model-lr.4';
			package: 'Magritte-Pharo-Seaside' with: 'Magritte-Pharo-Seaside-lr.5';
			package: 'Magritte-Morph' with: 'Magritte-Morph-lr.51'.].! !

!ConfigurationOfMagritte2 methodsFor: 'versions' stamp: 'DaleHenrichs 3/29/2010 12:41'!
version203: spec
	<version: '2.0.3' imports: #('2.0-baseline' )>

	spec for: #common do: [
		spec blessing: #alpha.
		spec description: '- pick up latest mcz files (3/29/2010 11:30)'.
		spec author: 'DaleHenrichs'.
		spec timestamp: '3/29/2010 11:34'.
		spec 
			project: 'Grease' with: '1.0-alpha7';
			project: 'Seaside30' with: '3.0.0-alpha5.10'.].
	spec for: #squeakCommon do: [
		spec 
			package: 'Magritte-Model' with: 'Magritte-Model-lr.394';
			package: 'Magritte-Tests-Model' with: 'Magritte-Tests-Model-lr.12';
			package: 'Magritte-Seaside' with: 'Magritte-Seaside-lr.335';
			package: 'Magritte-Pharo-Model' with: 'Magritte-Pharo-Model-lr.22';
			package: 'Magritte-Tests-Pharo-Model' with: 'Magritte-Tests-Pharo-Model-lr.4';
			package: 'Magritte-Pharo-Seaside' with: 'Magritte-Pharo-Seaside-lr.5';
			package: 'Magritte-Morph' with: 'Magritte-Morph-lr.51'.].! !

!ConfigurationOfMagritte2 methodsFor: 'versions' stamp: 'DaleHenrichs 6/1/2010 14:56'!
version204: spec
	<version: '2.0.4' imports: #('2.0-baseline' )>

	spec for: #common do: [
		spec blessing: #alpha.
		spec description: '- pick up latest mcz files (6/1/2010 14:56)'.
		spec author: 'DaleHenrichs'.
		spec timestamp: '6/1/2010 14:56'.
		spec 
			project: 'Grease' with: '1.0-alpha9.2';
			project: 'Seaside30' with: '3.0.0-alpha5.14'.].
	spec for: #squeakCommon do: [
		spec 
			package: 'Magritte-Model' with: 'Magritte-Model-DamienCassou.395';
			package: 'Magritte-Tests-Model' with: 'Magritte-Tests-Model-lr.13';
			package: 'Magritte-Seaside' with: 'Magritte-Seaside-lr.335';
			package: 'Magritte-Pharo-Model' with: 'Magritte-Pharo-Model-lr.22';
			package: 'Magritte-Tests-Pharo-Model' with: 'Magritte-Tests-Pharo-Model-lr.4';
			package: 'Magritte-Pharo-Seaside' with: 'Magritte-Pharo-Seaside-lr.5';
			package: 'Magritte-Morph' with: 'Magritte-Morph-lr.51'.].! !

!ConfigurationOfMagritte2 methodsFor: 'versions' stamp: 'DaleHenrichs 9/3/2010 11:50'!
version2051: spec
	<version: '2.0.5.1' imports: #('2.0.5-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: '- fixed deprecated #and:and:'.
		spec author: 'DaleHenrichs'.
		spec timestamp: '08/27/2010 14:42:22'.
		spec 
			project: 'Grease' with: '1.0-rc.2';
			project: 'Seaside30' with: '3.0.0-rc.3'.
		spec 
			package: 'Magritte-Model' with: 'Magritte-Model-lr.397';
			package: 'Magritte-Tests-Model' with: 'Magritte-Tests-Model-lr.13';
			package: 'Magritte-Seaside' with: 'Magritte-Seaside-lr.337'.].
	spec for: #'squeakCommon' do: [
		spec 
			package: 'Magritte-Pharo-Model' with: 'Magritte-Pharo-Model-lr.22';
			package: 'Magritte-Tests-Pharo-Model' with: 'Magritte-Tests-Pharo-Model-lr.4';
			package: 'Magritte-Pharo-Seaside' with: 'Magritte-Pharo-Seaside-lr.5';
			package: 'Magritte-Morph' with: 'Magritte-Morph-lr.52'.].
	spec for: #'gemstone' do: [
		spec 
			package: 'Magritte-GemStone-Model' with: 'Magritte-GemStone-Model-DaleHenrichs.2';
			package: 'Magritte-Tests-Model' with: 'Magritte-Tests-Model.gemstone-DaleHenrichs.14';
			package: 'Magritte-Tests-GemStone-Model' with: 'Magritte-Tests-GemStone-Model-DaleHenrichs.1';
			package: 'Magritte-GemStone-Seaside' with: 'Magritte-GemStone-Seaside-DaleHenrichs.2'.].! !

!ConfigurationOfMagritte2 methodsFor: 'versions' stamp: 'DaleHenrichs 7/13/2010 10:24'!
version205: spec
	<version: '2.0.5' imports: #('2.0.5-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: '- port to GemStone GLASS 1.0-beta.8
- pick up recent mcz files (06/23/10 14:41)
- need an #asSymbol in MAVariableAccessor>>canRead: for GemStone .... #allInstVarNames returns list of Symbols
- fix Issue 5: http://code.google.com/p/magritte-metamodel/issues/detail?id=5 "MAReportComponent>>renderTableCaptionOn: sends #caption ... #caption	not implemented"
- load only ''Base'' and ''Seaside-HTML5'' for Magritte-Seaside
'.
		spec author: 'DaleHenrichs'.
		spec timestamp: '06/23/10 15:20:31'.
		spec 
			project: 'Grease' with: '1.0-alpha9.3';
			project: 'Seaside30' with: '3.0.0-alpha5.15'.
		spec 
			package: 'Magritte-Model' with: 'Magritte-Model-DaleHenrichs.396';
			package: 'Magritte-Tests-Model' with: 'Magritte-Tests-Model-lr.13';
			package: 'Magritte-Seaside' with: 'Magritte-Seaside-lr.337'.].
	spec for: #'squeakCommon' do: [
		spec 
			package: 'Magritte-Pharo-Model' with: 'Magritte-Pharo-Model-lr.22';
			package: 'Magritte-Tests-Pharo-Model' with: 'Magritte-Tests-Pharo-Model-lr.4';
			package: 'Magritte-Pharo-Seaside' with: 'Magritte-Pharo-Seaside-lr.5';
			package: 'Magritte-Morph' with: 'Magritte-Morph-lr.51'.].
	spec for: #'gemstone' do: [
		spec 
			package: 'Magritte-GemStone-Model' with: 'Magritte-GemStone-Model-DaleHenrichs.2';
			package: 'Magritte-Tests-Model' with: 'Magritte-Tests-Model.gemstone-DaleHenrichs.14';
			package: 'Magritte-Tests-GemStone-Model' with: 'Magritte-Tests-GemStone-Model-DaleHenrichs.1';
			package: 'Magritte-GemStone-Seaside' with: 'Magritte-GemStone-Seaside-DaleHenrichs.2'.].! !

!ConfigurationOfMagritte2 methodsFor: 'versions' stamp: 'DaleHenrichs 11/11/2010 13:05'!
version206: spec
	<version: '2.0.6' imports: #('2.0.6-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: '- pick up recent mcz files
- Squeak4.1 & Pharo1.0 support
'.
		spec author: 'DaleHenrichs'.
		spec timestamp: '11/10/2010 11:34:04'.
		spec 
			project: 'Grease' with: '1.0.1';
			project: 'Seaside30' with: '3.0.1'.
		spec 
			package: 'Magritte-Model' with: 'Magritte-Model-lr.404';
			package: 'Magritte-Tests-Model' with: 'Magritte-Tests-Model-lr.15';
			package: 'Magritte-Seaside' with: 'Magritte-Seaside-lr.342'.].
	spec for: #'squeakCommon' do: [
		spec 
			package: 'Magritte-Pharo-Model' with: 'Magritte-Pharo-Model-lr.22';
			package: 'Magritte-Tests-Pharo-Model' with: 'Magritte-Tests-Pharo-Model-lr.4';
			package: 'Magritte-Pharo-Seaside' with: 'Magritte-Pharo-Seaside-lr.5';
			package: 'Magritte-Morph' with: 'Magritte-Morph-lr.53'.].
	spec for: #'squeak' do: [
		spec package: 'Magritte-Pharo1.0-Model' with: 'Magritte-Pharo1.0-Model-DaleHenrichs.2'.].
	spec for: #'MagritteForPharo1.0' do: [
		spec package: 'Magritte-Pharo1.0-Model' with: 'Magritte-Pharo1.0-Model-DaleHenrichs.2'.].
	spec for: #'gemstone' do: [
		spec project: 'GsCore' with: '0.242'.
		spec 
			package: 'Magritte-GemStone-Model' with: 'Magritte-GemStone-Model-DaleHenrichs.2';
			package: 'Magritte-Tests-Model' with: 'Magritte-Tests-Model.gemstone-DaleHenrichs.16';
			package: 'Magritte-Tests-GemStone-Model' with: 'Magritte-Tests-GemStone-Model-DaleHenrichs.1';
			package: 'Magritte-GemStone-Seaside' with: 'Magritte-GemStone-Seaside-DaleHenrichs.2'.].! !
